<template>
  <v-container>
    <v-breadcrumbs class="px-0" :items="items"></v-breadcrumbs>

    <v-row no-gutters class="d-flex align-center">
      <h1>Lista de Demandas</h1>
      <v-spacer></v-spacer>
      <v-btn depressed small color="primary" to="/demands/form">Adicionar</v-btn>
    </v-row>
    <p>Total de Demandas {{ demands.length }}</p>

    <div id="demands">
      <div v-for="demand in demands" :key="demand.id">
        <p>Descrição: {{ demand.description }}</p>
        <p>Data de inicio: {{ demand.start_date }}</p>
        <p>Data final: {{ demand.end_date }}</p>
        <p>Status: {{ demand.status }}</p>
        <v-row class="px-3 mb-2">
          <v-btn
            class="mr-1"
            depressed
            small
            color="primary"
            :to="`/demands/form?id=${demand.id}`"
          >Editar</v-btn>
          <v-btn depressed small color="error" @click="matar(demand.id)">Delete</v-btn>
        </v-row>
        <v-divider></v-divider>
      </div>
    </div>
  </v-container>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      demands: [],
      items: [
        {
          text: "Dashboard",
          disabled: false,
          to: "/"
        },
        {
          text: "Demandas",
          disabled: true,
          href: "/demands/"
        }
      ]
    };
  },
  mounted() {
    return axios
      .get("https://young-forest-65938.herokuapp.com/api/v1/demands")
      .then(response => {
        var resp = response.data;
        this.demands = resp.data;
        console.log(this.demands);
      });
  },
  methods: {
    matar(id) {
      return axios
        .delete(`https://young-forest-65938.herokuapp.com/api/v1/demands/${id}`)
        .then(response => {
          axios
            .get("https://young-forest-65938.herokuapp.com/api/v1/demands")
            .then(response => {
              var resp = response.data;
              this.updateList(resp.data);
            });
        });
    },
    updateList(newList) {
      console.log("TEste updatedd");
      this.demands = newList;
    }
  }
};
</script>
